
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Oracle数据库中行迁移/行链接学习（三）行迁移/行链接的清除方法 / iVAN</title>

    <meta name="description" content="Oracle数据库中行迁移/行链接学习（三）行迁移/行链接的清除方法 由于对于行链接来说只能增大db_block_size来清除,而db_block_size在创建了数据库后又是不能改变了的,所以这里对行链接的清除不做过多的叙述了,主要是针对行迁移来谈谈在实际的生产系统中如何去清除. 对于行迁移的清除,一般来说分为两个步骤:第一步,控制住行迁移的增长,使其不在增多:第二步,清除掉以前存在的行迁移. 众所周知,行迁移产生的主要原因是因为表上的pctfree参数设置过小导致的,而要实现第一步控制住行迁移的增长,就必须设置好一个正确合适的pctfree参数,否则即使清除">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Oracle数据库中行迁移/行链接学习（三）行迁移/行链接的清除方法</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>由于对于行链接来说只能增大db_block_size来清除，而db_block_size在创建了数据库后又是不能改变了的，所以这里对行链接的清除不做过多的叙述了，主要是针对行迁移来谈谈在实际的生产系统中如何去清除。</p>
<p>对于行迁移的清除，一般来说分为两个步骤：第一步，控制住行迁移的增长，使其不在增多；第二步，清除掉以前存在的行迁移。</p>
<p>众所周知，行迁移产生的主要原因是因为表上的pctfree参数设置过小导致的，而要实现第一步控制住行迁移的增长，就必须设置好一个正确合适的pctfree参数，否则即使清除了当前的行迁移后马上又会产生很多新的行迁移。当然，这个参数也不是越大越好的，如果pctfree设置的过大，会导致数据块的利用率低，造成空间的大量浪费，因此必须设置一个合理的pctfree参数。如何去确定一个表上合理的pctfree参数呢，一般来说有两种方法。</p>
<p>第一种是定量的的设定方法，就是利用公式来设定pctfree的大小。先使用ANALYZE TABLE table_name ESTIMATE  STATISTICS命令来分析要修改pctfree的表,然后查看user_tables中的AVG_ROW_LEN列值，得到一个平均行长AVG_ROW_LEN1，然后大量的对表操作之后，再次使用上述命令分析表，得到第二个平均行长AVG_ROW_LEN2，然后运用公式100 * （AVG_ROW_LEN2-AVG_ROW_LEN1）/（AVG_ROW_LEN2-AVG_ROW_LEN1 + 原始的AVG_ROW_LEN）得出的结果就是定量计算出来的一个合适的pctfree的值。这种方法因为是定量计算出来的，可能不一定会很准确，而且因为要分析表，所以对于使用RBO执行计划的系统不是很适用。例如：avg_row_len_1 = 60，avg_row_len_2 = 70，则平均修改量为 10，PCTFREE 应调整为 100 * 10 /（10 + 60）= 16.7% 。</p>
<p>第二种是差分微调的方法，先查询到当前表的pctfree的值，然后监控和调整pctfree参数，每次增加一点pctfree的大小，每次增加的比例不要超过5个百分点，然后使用ANALYZE TABLE TABLE_NAME LIST CHAINED ROWS INTO chained_rows命令分析每次所有的行迁移和行链接的增长情况，对于不同的表采取不同的增长比例，对于行迁移增长的比较快的表pctfree值就增加的多点，对于增长慢的表就增加的少点，直到表的行迁移基本保持不增长了为止。但是注意不要把pctfree调的过大，一般在40%以下就可以了，否则会造成空间的很大浪费和增加数据库访问的IO。</p>
<p>使用上述的方法控制住了当前表的行迁移的增长之后，就可以开始清除之前表上存在的行迁移了。是否清除掉行迁移，关系到系统的性能是否能够有很大的提高。因此，对于以前存在的行迁移是一定而且必须要清除掉的。清除掉已经存在的行迁移有很多方法，但是并不是所有的方法都能适用所有的情况，例如表中的记录数多少，表上的关联多少、表上行迁移的数量多少等等这些因素都会是成为制约你使用什么方法清除的条件，因此，根据表的特点和具体情况的不同我们应该采用不同的方法去清除行迁移。下面我将逐一介绍各种清除行迁移的方法以及它们各自适用的不同情况。</p>
<p>方法一：传统的清除行迁移的方法</p>
<p>具体步骤如下：</p>
<p>1． 执行$ORACLE_HOME/rdbms/admin目录下的utlchain.sql脚本创建chained_rows表。</p>
<p>@$ORACLE_HOME/rdbms/admin/utlchain.sql</p>
<p>2． 将存在有行迁移的表（用table_name代替）中的产生行迁移的行的rowid放入到chained_rows表中。  </p>
<p>ANALYZE TABLE table_name LIST CHAINED ROWS INTO chained_rows;</p>
<p>3． 将表中的行迁移的row id放入临时表中保存。</p>
<p>CREATE  TABLE  table_name_temp  AS</p>
<p>SELECT  *  FROM  table_name</p>
<p>WHERE  rowid  IN</p>
<p>(SELECT  head_rowid  FROM  chained_rows</p>
<p>WHERE  table_name  =  'table_name');</p>
<p>4． 删除原来表中存在的行迁移的记录行。</p>
<p>DELETE  table_name</p>
<p>WHERE  rowid  IN</p>
<p>(SELECT  head_rowid</p>
<p>FROM  chained_rows</p>
<p>WHERE  table_name  =  'table_name');</p>
<p>5． 从临时表中取出并重新插入那些被删除了的数据到原来的表中，并删除临时表。</p>
<p>INSERT  INTO  table_name  SELECT  *  FROM  table_name_temp;</p>
<p>DROP  TABLE  table_name_temp;</p>
<p>对于这种传统的清除RM的方法，优点是执行起来过程比较简单，容易实现。但是这种算法的缺陷是没有考虑到表关联的情况，在大多数数据库中很多表都是和别的表之间有表关联的，有外键的限制，这样就造成在步骤3中根本无法delete掉存在有行迁移的记录行，所以这种方法能够适用的表的范围是有限的，只能适用于表上无任何外键关联的表。由于这种方法在插入和删除数据的时候都没有disable掉索引，这样导致主要消耗时间是在删除和插入时维持索引树的均衡上了，这个对于如果记录数不多的情况时间上还比较短，但是如果对于记录数很多的表这个所消耗的时间就不是能够接受的了。显然，这种方法在处理大数据量的表的时候显然是不可取的。</p>
<p>以下是一个具体在生产数据库上清除行迁移的例子，在这之前已经调整过表的pctfree参数至一个合适的值了：</p>
<p>SQL&gt;@$ORACLE_HOME/rdbms/admin/utlchain.sql</p>
<p>Table created.</p>
<p>SQL&gt; ANALYZE TABLE CUSTOMER LIST CHAINED ROWS INTO chained_rows;</p>
<p>Table analyzed.</p>
<p>SQL&gt;SELECT count(*) from chained_rows；</p>
<p>TABLE_NAME                       COUNT(*)</p>
<p>------------------------------ ----------</p>
<p>CUSTOMER                            21306</p>
<p>1 rows selected.</p>
<p>查看在CUSTOMER表上存在的限制:</p>
<p>SQL&gt;select CONSTRAINT_NAME,CONSTRAINT_TYPE,TABLE_NAME from USER_CONSTRAINTS where TABLE_NAME='CUSTOMER';</p>
<p>CONSTRAINT_NAME                C TABLE_NAME</p>
<p>------------------------------ - ------------------------------</p>
<p>PK_CUSTOMER1                   P CUSTOMER</p>
<p>本文URL地址：http://www.bianceng.cn/database/Oracle/201410/45556.htm</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-05 12:13:50</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e6%96%b9%e6%b3%95/" title="方法">方法</a>, <a href="https://www.iamivan.net/tag/%e4%b8%80%e4%b8%aa/" title="一个">一个</a>, <a href="https://www.iamivan.net/tag/%e5%8f%82%e6%95%b0/" title="参数">参数</a>, <a href="https://www.iamivan.net/tag/%e8%bf%81%e7%a7%bb/" title="迁移">迁移</a>, <a href="https://www.iamivan.net/tag/sql-%e6%8f%92%e5%85%a5-%e8%a1%8c%e8%bf%87%e5%a4%9a/" title="sql 插入 行过多">sql 插入 行过多</a>, <a href="https://www.iamivan.net/tag/%e5%a2%9e%e5%8a%a0%e5%88%a0%e9%99%a4%e8%a1%8c/" title="增加删除行">增加删除行</a>, <a href="https://www.iamivan.net/tag/table%e5%a2%9e%e5%8a%a0%e8%a1%8c/" title="table增加行">table增加行</a>, <a href="https://www.iamivan.net/tag/table%e8%a1%8c/" title="table行">table行</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Oracle数据库中行迁移/行链接学习（三）行迁移/行链接的清除方法的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvKEJ5p.html" rel="bookmark">Oracle数据库中行迁移&sol;行链接学习（一）什么是行迁移&sol;行链</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在实际的工作中我们经常会碰到一些Oracle数据库性能较低的问题,当然,引起Oracle数据库性能较低的原因是多方面的,我们能够通过一些正确的设计和诊断来尽量的避免一些Oracle数据库性能不好,Row Migration (行迁移) &amp; Row Chaining (行链接)就是其中我们可以尽量避免的引起Oracle数据库性能低下的潜在问题.通过合理的诊断行迁移/行链接,我们可以较大幅度上提高Oracle数据库的性能. 那究竟什么是行迁移/行链接呢,先让我们从Oracle的block开始谈起.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MgK0mmM.html" rel="bookmark">Oracle数据库中行迁移&sol;行链接学习（二）行迁移&sol;行链接的检测方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				通过前面的介绍我们知道,行链接主要是由于数据库的db_block_size不够大,对于一些大的字段没法在一个block中存储下,从而产生了行链接.对于行链接我们除了增大db_block_size之外没有别的任何办法去避免,但是因为数据库建立后db_block_size是不可改变的(在9i之前),对于Oracle9i的数据库我们可以对不同的表空间指定不同的db_block_size,因此行链接的产生几乎是不可避免的,也没有太多可以调整的地方.行迁移则主要是由于更新表的时候,由于表的pctfree参			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Vzw188M.html" rel="bookmark">关于Oracle数据库中行迁移&sol;行链接的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|链接|数据|数据库|问题 一.行迁移/行链接的介绍 在实际的工作中我们经常会碰到一些Oracle数据库性能较低的问题,当然,引起Oracle数据库性能较低的原因是多方面的,我们能够通过一些正确的设计和诊断来尽量的避免一些Oracle数据库性能不好,Row Migration (行迁移) &amp; Row Chaining (行链接)就是其中我们可以尽量避免的引起Oracle数据库性能低下的潜在问题.通过合理的诊断行迁移/行链接,我们可以较大幅度上提高Oracle数据库的性能. 那究竟什么			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNQemb.html" rel="bookmark">从Oracle数据库到SQL Server数据库主键的迁移</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				oracle|server|数据|数据库 由于项目需要要将以前Oracle的数据库转化为SQL Server,今天利用SQL Server的DTD进行数据库的迁移,但导入以后发现只导入了表结构和数据,而表的一些主键约束都没导过来,感觉很郁闷,而手头又没有好的迁移工具,如Erwin,所以动手写了个小工具,基本实现了主键的转移,主要代码如下:主要控件:     ADOConnOrcale: TADOConnection;  //连接Oracle    ADOConnSQLServer: TADOCo			</div>
		</article>
	</section>
						<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zOlwQvb.html" rel="bookmark">Oracle数据库之PL&sol;SQL游标学习笔记</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				1. 游标概念 字面意思是游动的光标,是指向上下文区域的句柄或指针. 在PL/SQL块中执行CRUD操作时,ORACLE会在内存中为其分配上下文区.用数据库语言来描述游标就是:映射在上下文区结果集中一行数据上的位置实体. 用户可以使用游标访问结果集中的任意一行数据,将游标指向某行后,即可对该行数据进行操作.游标为应用提供了一种对具有多行数据查询结果集中的每一行数据分别进行单独处理的方法,是设计嵌入式SQL语句的应用程序的常用编程方式. 在每个用户会话中,可以同时打开多个游标,其最大数量由数据库初			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zeamg0z.html" rel="bookmark">在 Linux x86 上安装 Oracle 数据库 10g&lowbar;3</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  启动 Oracle 通用安装程序. $ ./runInstaller 1.      欢迎 o        单击 Next. 2.      指定清单目录和证书 o        如果您一直在依循本指南中的步骤,则使用默认值即可.否则,编辑清单目录的路径,以指向正确目录. o        操作系统组名称应为 oinstall. 3.      如果这是首次在此机器上安装 Oracle,则您将收到一个弹出窗口,提示需要以 root 用户身份运行 orainstRoot.sh 脚本.以 ro			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPlVy8p.html" rel="bookmark">Oracle数据库升级或数据迁移方法研究&lowbar;oracle</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一.数据库升级的必要性 数据库升级是数据库管理员经常要面对的问题,如果你的应用要使用新版本数据库的新特性:如果数据库运行负载过重,而通过软硬件调整又不能有根本性的改善:如果要更换操作系统平台:如果要增强数据库的安全性:还有一个原因是随着新版本数据库的出现与成熟,oracle停止了对旧版本数据库的技术支持,升级到高版本,可以继续获得oracle的支持,还可以利用新版本数据库的新特新,可以改善系统的性能,健壮性,可扩张性和可用性,等等,面对这些问题,需要通过数据库升级才得以解决.不过,如果你的系统运			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/jbEWXop.html" rel="bookmark">sql-我要写一个java程序，去链接oracle数据库，如果获取链接的时间超过1分钟，就抛出异常，请问怎么实现？</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 我要写一个java程序,去链接oracle数据库,如果获取链接的时间超过1分钟,就抛出异常,请问怎么实现? 我要写一个java程序,去链接oracle数据库,如果获取链接的时间超过1分钟,就抛出异常,请问怎么实现? 解决方案 http://blog.chinaunix.net/uid-20752328-id-3451931.html 这里有一篇文章可以解决你的问题你可以点击进去看看; 如果回答对您有帮助请采纳 解决方案二: 说明数据整理不合理吧 解决方案三: 你应该优化数据库结构,或你			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/2pL8XWp.html" rel="bookmark">Oracle数据库学习之第一篇</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  权限管理: oracle 9里面默认的三个用户名和密码: sys change_on_install //权限最高的管理员 system manager //普通的管理员 scott tiger //普通用户 在oracle 10中,仍然使用这三个用户作为默认用户.但sys和system用户的密码不再默认.在安装数据库的时候,可以由用户指定 .从安全角度考虑,scott用户默认被锁定,所以要使用该用户,需要先解除锁定. 注意:我们要使用oracle数据库,至少要启动两个服务,一个是监听服务,			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/aM6YxLb.html" rel="bookmark" class="title">中国顶级黑客简介</a>
					<div>
						网名:sunx 真实姓名:孙华 OICQ:239670 简介:资深网络安全专家.软件设计师.Unix专家,在黑客.病毒等技术上均具有顶尖级水平,对系统内核研究有很高的造诣,程序反编译.跟踪.调试.破解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/dzZ74Yb.html" rel="bookmark" class="title">根据来路是否为搜索引擎来决定是否跳出弹窗代码</a>
					<div>
						弹窗|搜索引擎 Code:  &lt;?php$referer = $_SERVER['HTTP_REFERER'];if(!$referer == ''){        if(ereg('http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlY6ap.html" rel="bookmark" class="title">产品的成功趋势会对个性更准确的把握</a>
					<div>
						网页制作Webjx文章简介:产品的成功趋势会对个性更准确的把握. 百度身边上线了,和预想的一样,没有亮点,又一个大众点评.其优势在于,可以和百度的框战略形成很好的整合,能分走部分关于美食等关键词的流量 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Nz7y5XM.html" rel="bookmark" class="title">王姣君：网站&lpar;专题&rpar;制作  SEO注意事项</a>
					<div>
						一. 代码规范: 1.1.采用DIV+CSS代码形式 DIV+CSS可以精简很多样式,让搜索引擎蜘蛛抓取更多核心的内容,而不是做很多无用功.并且这些样式将放在一个专门的CSS文件里,维护和更改相当方便 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB21LNb.html" rel="bookmark" class="title">巧设Windows 2008防火墙 控制VPN连接权限</a>
					<div>
						为了尽可能地降低组网费用,同时不能影响移动办公的需求,某单位决定在局域网的文件服务器中安装配置VPN服务器,这样可以让单位可信任员工随时随地通过VPN网络连接,访问单位文件服务器中的重要数据内容,并且 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pk27PEM.html" rel="bookmark" class="title">Office 2013 Web Apps and SkyDrive</a>
					<div>
						相信您如果有下载过Office 2013并使用上会发现,office 2013菜单栏下多了一个选项共享&quot;Share&quot;,可以将文档进行共享(Share)到SkyDrive,邮件.直接 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkGZ8yp.html" rel="bookmark" class="title">Photoshop如何修复陈旧褪色的黑白照片？</a>
					<div>
						  现在很多家庭里面会有黑白照片,可这些照片经不住岁月的侵蚀,渐渐的褪去了颜色,就像陈旧的记忆渐渐模糊.很多照片承载着我们的记忆,甚至承载着我们先辈那些峥嵘的岁月. 怎样修复这些照片,让它们继续承载着 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3V7Wp.html" rel="bookmark" class="title">如何快速删除搜索记录</a>
					<div>
						  如何快速删除搜索记录,具体详细内容如下所示 我们网吧的时候如果不小心在IE上留下很多隐私的的搜索记录到时候你想哭都来不及,所以我们平时要养成一个好的习惯,我朋友就碰到一次他是一个女同志,有一次他在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr3OB6p.html" rel="bookmark" class="title">&period;NET牛人应该知道些什么&comma;我的回答</a>
					<div>
						What Great .NET Developers Ought To Know (More .NET Interview Questions) A while back, I posted a li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7KXWz.html" rel="bookmark" class="title">网页错误 rror-在虚拟机部署网页报错：Server Error in &amp;amp&semi;amp&semi;&num;39&semi;&sol;&amp;amp&semi;amp&semi;&num;39&semi; Application&period;</a>
					<div>
						问题描述 在虚拟机部署网页报错:Server Error in '/' Application. 在虚拟机部署网页时不时会报此错,重启IIS后暂时没问题,过多一会儿又提示该错! 参数:IIS6.0.a ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7qnez.html" rel="bookmark" class="title">页面自定义分页标签，第一次进入页面取不到参数。</a>
					<div>
						问题描述 最近在用SSH做一个项目的时候,使用到一个自定义的分页标签,它先从数据库查询结果,然后将分页参数传到一个pageBean中,然后跳转到页面的时候,根据tld的配置转向PageTag标签类,不 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdE2ndz.html" rel="bookmark" class="title">navigationcontroller 里添加scrollview出问题</a>
					<div>
						问题描述 navigationcontroller 里添加scrollview出问题 我令一个uiviewcontroller为 navigationcontroller的rootcontroller ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwxOPvb.html" rel="bookmark" class="title">vb&period;net List 的问题 当满足List的某个属性，返回List的另一个属性</a>
					<div>
						问题描述 vb.net List 的问题 当满足List的某个属性,返回List的另一个属性 请问,有一个ListList.id从0到7List.value是任意值当它的List.id=某个0到7的值 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPPA7vp.html" rel="bookmark" class="title">中国计划打造全国统一标准CPU架构</a>
					<div>
						根据多路消息判断,中国政府正在着手打造树立一个全国统一的CPU架构标准(ISA).这项标准将主要适用于有政府背景的采购,研发项目.国有企业,私营企业,其中包括全世界最大的电信运营商中国移动等机构都将采 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7YKk4M.html" rel="bookmark" class="title">require&lpar;&rpar; 源码解读</a>
					<div>
						2009年,Node.js 项目诞生,所有模块一律为 CommonJS 格式. 时至今日,Node.js 的模块仓库 npmjs.com ,已经存放了15万个模块,其中绝大部分都是 CommonJS  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PKNBp.html" rel="bookmark" class="title">求大神将下面这个c代码改成c&num;的。。。跪谢</a>
					<div>
						问题描述 求大神将下面这个c代码改成c#的...跪谢 const WORD wCRCTalbeAbs[] = {0x0000, 0xCC01, 0xD801, 0x1400, 0xF001, 0x3C ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boRkPjz.html" rel="bookmark" class="title">所有操作一旦查询数据时间过长如何避免页面或者界面无响应状况？</a>
					<div>
						问题描述 所有操作一旦查询数据时间过长如何避免页面或者界面无响应状况? 所有操作一旦查询数据时间过长如何避免页面或者界面无响应状况? 解决方案 将查询异步化.如果是桌面程序,可以使用多线程. 解决方案 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0a7YM.html" rel="bookmark" class="title">Android开发学习网站集锦</a>
					<div>
						1.CSDN  http://www.csdn.net/ 2.ITEYE  http://www.iteye.com/ 3.博客园  http://www.cnblogs.com/ 4.stackov ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAA1RAM.html" rel="bookmark" class="title">html-ie8 radio 控件选中 不显示中间的小圆点</a>
					<div>
						问题描述 ie8 radio 控件选中 不显示中间的小圆点 我写了个html页面,但是里面的radio在ie8里面选中不显示中间的小圆点,但是在火狐浏览器里面正常,请问是怎么回事,代码和图片如下: i ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1eyJz.html" rel="bookmark" class="title">新人做网站莫成三角猫，我的做站历程</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断淘宝客 站长团购 云主机 技术大厅 我周边的朋友,经常让我在网 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvmNRWb.html" rel="bookmark" class="title">让百度天天更新你的网站就这么简单</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 一个新网站每天起早贪黑的写文章,你 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pkAaZrb.html" rel="bookmark" class="title">关闭或者紧缩Nginx的错误和访问记录</a>
					<div>
						网站如果流量比较大,那么Nginx记录的错误,特别是访问日志是非常多的,上百G的空间运行几个月以后也会被塞满,造成服务器运行不正常.为了避免这种情况发生,可以关闭Nginx的错误和访问记录,也可以单独 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBgq9NM.html" rel="bookmark" class="title">php curl 相关链接 收藏</a>
					<div>
						php-curl-curlopt_httpheader设置host http://www.gosoa.com.cn/php-curl-curlopt_httpheader%E8%AE%BE%E7%BD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xZQvb.html" rel="bookmark" class="title">网站KPI连载之站内搜索、商品搜索使用率</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 网站内搜索・商品搜索,是用户在网站 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYr86b.html" rel="bookmark" class="title">ios-在uiwebview中使用保存的cookie做自动登录。</a>
					<div>
						问题描述 在uiwebview中使用保存的cookie做自动登录. 问大家一个关于ios的cookie,是不是app退出之后就会被清掉?我把想要的cookie保存在nshttpcookiestorag ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvYLoAb.html" rel="bookmark" class="title">php parse&lowbar;url 函数教程</a>
					<div>
						parse_url ( PHP 4中, PHP 5中) parse_url -解析URL并返回其组成部分 描述 混合parse_url (字符串$网址[摘要$部分= -1 ] ) 此功能解析一个URL ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvY47ab.html" rel="bookmark" class="title">网站论坛宣传的技巧</a>
					<div>
						论坛推广是很多站长必用的网站推广方法.通常发广告有两个前提,一是产品有人需要,二是产品质量要好.宣传网站也不例外,如果你的网站是一些用免费资源进行制作的,或者是内容没有什么新意,效果不好是必然的.前面 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GoEYp.html" rel="bookmark" class="title">Painter绘制游戏角色巫妖王教程</a>
					<div>
						给各位Painter软件的使用者们来详细的解析分享一下绘制游戏角色巫妖王的教程. 教程分享: 先来看看最终的效果图:   第一步 线稿 创意之初,一个巫妖王,孤零零.(图01)   图01 细化,慢慢 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3YJEgp.html" rel="bookmark" class="title">物联网背景下安防监控的新机会</a>
					<div>
						据说2015年约有120亿台设备连上网络,到了2020年会有超过250亿台设备连网,不过以最近的发展来看,从物联网到车联网,以及无人机等新的连网应用如雨后春笋般地冒出,2020年后连上互联网的装置应该 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWO6lM.html" rel="bookmark" class="title">有没有做过java模拟邮箱登录的案例，求分享</a>
					<div>
						问题描述 有没有做过java模拟邮箱登录的案例,求分享 有没有做过java模拟邮箱登录的案例,求分享................................ 解决方案					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
